curl --request GET \
--url https://api.example.com/api/data-readiness/workflows \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/data-readiness/workflows"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/data-readiness/workflows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/data-readiness/workflows",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/data-readiness/workflows"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/data-readiness/workflows")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/data-readiness/workflows")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"pagination": {
"page": 123,
"per_page": 123,
"total": 123,
"total_pages": 123,
"has_next": true,
"has_prev": true
},
"data": [
{
"category": "enrichment",
"created_at": "2024-01-15T10:30:00Z",
"data_asset_types": [
"table"
],
"description": "Detects and tags PII in production tables",
"id": "123e4567-e89b-12d3-a456-426614174000",
"is_default": false,
"name": "PII Detection - Production",
"require_reference_pack": true,
"schedule": {
"cron_expression": "0 0 * * *",
"enabled": true
},
"status": "active",
"supports_multi_table_selection": false,
"triggers": [],
"workflow_type": "generate-pii-tags"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}List Workflow Configurations
Retrieve a paginated list of workflow configurations available to the current user.
Supports filtering by:
data_asset_type: Filter configurations linked to a specific data asset typeworkflow_type: Filter by type (generate-pii-tags, generate-dq-tags, etc.)status: Filter by configuration statushas_schedule: Filter configurations with active scheduleshas_triggers: Filter configurations with active triggerssearch: Search by workflow name/descriptionis_default: Filter by default configuration status (passtrueto list only the canonical default per workflow type)
The response includes summary schedule information and triggers. Use the Get Configuration endpoint for full configuration details.
curl --request GET \
--url https://api.example.com/api/data-readiness/workflows \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/data-readiness/workflows"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/data-readiness/workflows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/data-readiness/workflows",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/data-readiness/workflows"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/data-readiness/workflows")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/data-readiness/workflows")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"pagination": {
"page": 123,
"per_page": 123,
"total": 123,
"total_pages": 123,
"has_next": true,
"has_prev": true
},
"data": [
{
"category": "enrichment",
"created_at": "2024-01-15T10:30:00Z",
"data_asset_types": [
"table"
],
"description": "Detects and tags PII in production tables",
"id": "123e4567-e89b-12d3-a456-426614174000",
"is_default": false,
"name": "PII Detection - Production",
"require_reference_pack": true,
"schedule": {
"cron_expression": "0 0 * * *",
"enabled": true
},
"status": "active",
"supports_multi_table_selection": false,
"triggers": [],
"workflow_type": "generate-pii-tags"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
JWT Bearer token authentication. Include the token in the Authorization header as: Authorization: Bearer <token>. The JWT must contain valid client_id, and project_id claims for tenant isolation and SDK routing.
Query Parameters
Page number (1-indexed)
x >= 11
Items per page (max 100)
1 <= x <= 10020
Filter configurations linked to a specific data asset type
"table"
Filter by workflow type
"generate-pii-tags"
Filter by configuration status
"active"
Filter configurations with active schedules
Filter configurations with active triggers
Search by workflow name/description
255Filter by default configuration status
Was this page helpful?

